# Uses of Interface
org.eclipse.jdt.core.jdom.IDOMType

Packages that use IDOMType
Package
Description
org.eclipse.jdt.core.jdom
Provides a support for Java document manipulation through the JDOM model.

## Uses of IDOMType in org.eclipse.jdt.core.jdom

Methods in org.eclipse.jdt.core.jdom that return IDOMType
Modifier and Type
Method
Description
`IDOMType`
DOMFactory.`createClass()`
Deprecated.
`IDOMType`
IDOMFactory.`createClass()`
Deprecated.
Creates a default type document fragment.
`IDOMType`
DOMFactory.`createInterface()`
Deprecated.
`IDOMType`
IDOMFactory.`createInterface()`
Deprecated.
Creates a default type document fragment.
`IDOMType`
DOMFactory.`createType()`
Deprecated.
`IDOMType`
DOMFactory.`createType(String sourceCode)`
Deprecated.
`IDOMType`
IDOMFactory.`createType()`
Deprecated.
Creates a default type document fragment.
`IDOMType`
IDOMFactory.`createType(String sourceCode)`
Deprecated.
Creates a type document fragment on the given source code.